
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

Whitespace is significant for make, and I just fought against this...  so
please apply this patch.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Cc: Sam Ravnborg <sam@ravnborg.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/kbuild/makefiles.txt |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN Documentation/kbuild/makefiles.txt~doc-describe-kbuild-pitfall Documentation/kbuild/makefiles.txt
--- 25/Documentation/kbuild/makefiles.txt~doc-describe-kbuild-pitfall	Wed Mar 30 13:20:59 2005
+++ 25-akpm/Documentation/kbuild/makefiles.txt	Wed Mar 30 13:20:59 2005
@@ -872,7 +872,13 @@ When kbuild executes the following steps
 	Assignments to $(targets) are without $(obj)/ prefix.
 	if_changed may be used in conjunction with custom commands as
 	defined in 6.7 "Custom kbuild commands".
+
 	Note: It is a typical mistake to forget the FORCE prerequisite.
+	Another pitfall that bit me once is that whitespace is sometimes
+	significant; for instance, the below will fail (note the extra space
+	after the comma):
+		target: source(s) FORCE
+			$(call if_changed, ld/objcopy/gzip)
 
     ld
 	Link target. Often LDFLAGS_$@ is used to set specific options to ld.
_
